%define oname ice
%define major 3.2
Name: python-module-ice
Version: %major.1
Release: alt1.1

Summary: The Ice runtime for Python applications

License: GPL
Group: System/Libraries
Url: http://www.zeroc.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.zeroc.com/download/Ice/%major/IcePy-%version.tar.bz2
Source1: http://www.zeroc.com/download/Ice/%major/Ice-rpmbuild-%major.0.tar.bz2

%setup_python_module Ice
%py_provides IcePy


Requires: libice = %version

# Automatically added by buildreq on Fri Aug 03 2007
BuildRequires: gcc-c++ ice libice-devel python-dev

%description
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%package -n python-module-ice-devel
Summary: Tools for developing Ice applications in Python
Group: Development/Other
Requires: python-module-ice = %version

%description -n python-module-ice-devel
Ice is a modern alternative to object middleware such as CORBA or
COM/DCOM/COM+.  It is easy to learn, yet provides a powerful network
infrastructure for demanding technical applications. It features an
object-oriented specification language, easy to use C++, C#, Java,
Python, Ruby, PHP, and Visual Basic mappings, a highly efficient
protocol, asynchronous method invocation and dispatch, dynamic
transport plug-ins, TCP/IP and UDP/IP support, SSL-based security, a
firewall solution, and much more.

%prep
%setup -q -n IcePy-%version
tar xfj %SOURCE1

%build
%make_build PYTHON_VERSION=python%__python_version OPTIMIZE=yes embedded_runpath_prefix=""

%install
#make_install prefix=%buildroot embedded_runpath_prefix="" install
mkdir -p %buildroot%python_sitelibdir/%oname
install -m644 python/*.py %buildroot%python_sitelibdir/%oname/
#mv %buildroot/python %buildroot%python_sitelibdir/%oname
rm -f %buildroot/ICE_LICENSE %buildroot/LICENSE

%files -n python-module-ice
%doc ICE_LICENSE LICENSE
%python_sitelibdir/%oname

%changelog
* Sun Feb 24 2008 Evgeny Sinelnikov <sin@altlinux.ru> 3.2.1-alt1.1
- rebuild with new python

* Fri Sep 21 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.1-alt1
- new version 3.2.1 (with rpmrb script)

* Mon Aug 06 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt2
- add IcePy provides, change python module name to Ice

* Fri Aug 03 2007 Vitaly Lipatov <lav@altlinux.ru> 3.2.0-alt1
- initial build for ALT Linux Sisyphus

* Fri Dec 6 2006 ZeroC Staff
- See source distributions or the ZeroC website for more information
  about the changes in this release

